Package org.eclipse.ecf.core.util

## Class Proxy

- java.lang.Object
- - org.eclipse.ecf.core.util.Proxy

All Implemented Interfaces:
  `Serializable`

    public class Proxy
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `Proxy.Type`

### Field Summary

Fields
`static Proxy` `NO_PROXY`

### Constructor Summary

Constructors
`Proxy​(Proxy.Type type, ProxyAddress address)`
`Proxy​(Proxy.Type type, ProxyAddress address, String username, String password)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`ProxyAddress` `getAddress()`
`String` `getPassword()`
`Proxy.Type` `getType()`
`String` `getUsername()`
`boolean` `hasCredentials()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NO_PROXY

    public static final Proxy NO_PROXY

### Constructor Detail

#### Proxy

    public Proxy​(Proxy.Type type,
                 ProxyAddress address,
                 String username,
                 String password)

#### Proxy

    public Proxy​(Proxy.Type type,
                 ProxyAddress address)

### Method Detail

#### getType

    public Proxy.Type getType()

#### getAddress

    public ProxyAddress getAddress()

#### getUsername

    public String getUsername()

#### getPassword

    public String getPassword()

#### hasCredentials

    public boolean hasCredentials()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public final boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public final int hashCode()

Overrides:
  `hashCode` in class `Object`